Class | Fog::AWS::RDS::SecurityGroup
In: | lib/fog/aws/models/rds/security_group.rb
Parent: | Fog::Model

### Methods

authorize_cidrip authorize_ec2_security_group authorize_ingress authorize_ip_address authorize_me destroy ready? revoke_cidrip revoke_ec2_security_group revoke_ingress save

### Public Instance methods

authorize_cidrip(cidrip)
authorize_ec2_security_group(group_name, group_owner_id=owner_id)

group_owner_id defaults to the current owner_id

authorize_ingress(opts)
authorize_ip_address(ip)

Add the ip address to the RDS security group.

authorize_me()

Add the current machine to the RDS security group.

destroy()
ready?()
revoke_cidrip(cidrip)
revoke_ec2_security_group(group_name, group_owner_id=owner_id)

group_owner_id defaults to the current owner_id

revoke_ingress(opts)
save()

[Validate]